Subject: Re: linux-next: build failure after merge of the l2-mtd tree

From: Artem Bityutskiy <[email-masked]>
Date: Mon, 06 Feb 2012 11:14:14 +0200

On Mon, 2012-02-06 at 12:07 +1100, Stephen Rothwell wrote:
> Hi Artem,
> 
> After merging the l2-mtd tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/mtd/devices/pmc551.c:191:12: error: conflicting types for 'pmc551_unpoint'
> include/linux/mtd/pmc551.h:37:13: note: previous declaration of 'pmc551_unpoint' was here
> drivers/mtd/devices/pmc551.c: In function 'pmc551_unpoint':
> drivers/mtd/devices/pmc551.c:196:1: warning: no return statement in function returning non-void [-Wreturn-type]
> 
> Caused by commit 753c57f84b57 ("mtd: return error code from
> mtd_unpoint").  [Mind you, I don't understand why those static functions
> would be declared in a header file ...]

Thanks, fixed. I am doing rather massive MTD API cleaning, so new small
issues are possible.

WRT the header file - I think it should not be in 'inlude/linux' at all
- I'll try to cook a patch to kick it out of there, thanks!

-- 
Best Regards,
Artem Bityutskiy